Debian Bug report logs - #699347
ITP: stdsyslog -- tool to log a program's output to the system log

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Peter Pentchev <roam@ringlet.net>

Date: Wed, 30 Jan 2013 14:21:01 UTC

Owned by: Peter Pentchev <roam@ringlet.net>

Severity: wishlist

Fixed in version stdsyslog/0.03-1

Done: Peter Pentchev <roam@ringlet.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, roam@ringlet.net, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#699347; Package wnpp. (Wed, 30 Jan 2013 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Pentchev <roam@ringlet.net>:
New Bug report received and forwarded. Copy sent to roam@ringlet.net, debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 30 Jan 2013 14:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: stdsyslog -- tool to log a program's output to the system log
Date: Wed, 30 Jan 2013 16:06:38 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Peter Pentchev <roam@ringlet.net>

* Package name    : stdsyslog
  Version         : 0.02
  Upstream Author : Peter Pentchev <roam@ringlet.net>
* URL             : http://devel.ringlet.net/sysutils/stdsyslog/
* License         : BSD-2
  Programming Lang: C
  Description     : tool to log a program's output to the system log

The stdsyslog utility executes a program, reads everything that it
outputs to a set of file descriptors (by default the standard output and
standard error streams) and logs it to the system log.  Its command-line
options include specifications of the syslog facility and the priorities
that messages on the various file descriptors should be logged as.

--- cut description, start a bit of comment on the reason for this

Yes, I am indeed aware that this may be accomplished using logger(1) and
skillful output-redirection-to-a-program in some shells, but somehow:

  stdsyslog -f local4 sprog args

...strikes me as a bit easier to type than:

  sprog args >(logger -p local4.info) 2>(logger -p local4.err)

...not to mention a bit more portable and also easier to use in
automated program invocations :)

G'luck,
Peter
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 699347: 700943 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 19 Feb 2013 16:24:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 22 Feb 2013 07:06:04 GMT) Full text and rfc822 format available.

Reply sent to Peter Pentchev <roam@ringlet.net>:
You have taken responsibility. (Fri, 12 Apr 2013 10:03:12 GMT) Full text and rfc822 format available.

Notification sent to Peter Pentchev <roam@ringlet.net>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 10:03:12 GMT) Full text and rfc822 format available.

Message #14 received at 699347-close@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: 699347-close@bugs.debian.org
Subject: Bug#699347: fixed in stdsyslog 0.03-1
Date: Fri, 12 Apr 2013 10:00:07 +0000
Source: stdsyslog
Source-Version: 0.03-1

We believe that the bug you reported is fixed in the latest version of
stdsyslog, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699347@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Pentchev <roam@ringlet.net> (supplier of updated stdsyslog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 19 Feb 2013 16:49:31 +0200
Source: stdsyslog
Binary: stdsyslog
Architecture: source amd64
Version: 0.03-1
Distribution: unstable
Urgency: low
Maintainer: Peter Pentchev <roam@ringlet.net>
Changed-By: Peter Pentchev <roam@ringlet.net>
Description: 
 stdsyslog  - log a program's output to the system log
Closes: 699347
Changes: 
 stdsyslog (0.03-1) unstable; urgency=low
 .
   * Initial release (Closes: #699347)
Checksums-Sha1: 
 3a832c6fd6823c3c23ec219e68276b235ecd1b9c 1838 stdsyslog_0.03-1.dsc
 877b695e1c8a943b358569eb336c209373d81d94 10129 stdsyslog_0.03.orig.tar.bz2
 434ebe17ef4653505b0d6f260aa9f6b9b5f5639b 1912 stdsyslog_0.03-1.debian.tar.gz
 bad7209f51d7d2263a5b2df17983729e3e63d549 11750 stdsyslog_0.03-1_amd64.deb
Checksums-Sha256: 
 0b186c505ef0cb7e5d1db28b51e7fe8947a844cb59f02f713d3077d438af06a7 1838 stdsyslog_0.03-1.dsc
 84d0c789021bfbe05d6148c5acff6716cf097030c4959abe772b1e72c75b413c 10129 stdsyslog_0.03.orig.tar.bz2
 d6e5d28add694ae4964509ac336271a911018cda6d41e5ebe5aa06b4cb90c646 1912 stdsyslog_0.03-1.debian.tar.gz
 c60fae2f3c433b6ee84d01b4bdca825e87169d33c7a8b0bca9eceb092d291675 11750 stdsyslog_0.03-1_amd64.deb
Files: 
 776e79fdc04e2832f948db00815ae6cc 1838 utils optional stdsyslog_0.03-1.dsc
 788140a403584d7a74a5a273b88902e0 10129 utils optional stdsyslog_0.03.orig.tar.bz2
 0eb5f2a27669c8b03f5ade7b2d2e346d 1912 utils optional stdsyslog_0.03-1.debian.tar.gz
 c1415597c54864f2e89798a238b7a63a 11750 utils optional stdsyslog_0.03-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRJokBAAoJELs6aAGGSaoGzdQQAKpZZwy1msjY98Ag2bw5fJ7H
/GwBKqsC34cNnCsNBBmTSxJ828WC+yVkZPTHf/FOLyl2jlV6WnXTxf2DNXfjk+or
DT33bahTBj6eJcAXl9kGOTNEPNS7vgar3izZZbSx+V4/Rt3vamjgBolFFukKlHIK
aMwtGeaFIjyibbDhRHRBx0DxryYmUpBF5+jqx3ryv4U8ZkrO4J+ZdI4Dqdri0oPy
jcs7XpeW0EPMPqStlHzAKcYH4mmGvnCbeQRl3WbAsFY0PXhsc7iUktTP0F1CxYrS
U2azeMDZJkAm07iBg85qLaRf7znHh3Cxxm6PEgfRWV7ljP7nDKLZ7a0OYF6nito1
h+ggt7bnU7S+uhat4R+R/oYOyvDCHyRUlR3JiN7xvNtSw6Z6zJ4Gk3yr0QL+zBij
iIF0/HHWLxeELE7hcLPuEfn0EYGMajW2SyaSBd5EdDHKfgu4uMPahIAMES8t+hkV
iXhTHYcKRDYqUtHe0tPfcoFx9h8/G4mTx2g3vGzDgju/vEnnV0QhMem5+4ejQNoF
gi1yGy+r0ecIgICY+rK6hkGOzxH2qZxN1xiB5WQZt0GzqNpp7HPEFKBK/6mcbx+u
P6Alds4MhwzbNyovn+qwt716sj5j05rm5HWqVmu5D6aCfsmAfrvYhd+N5kKs+yr/
fMw6iQLjhBYOql4uBtRn
=Lx9p
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:31:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:47:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.